idn_to_unicode
intl 함수 목록
IDN 함수 목록
PHP Manual

# idn_to_utf8

(PHP 5 >= 5.3.0, PECL intl >= 1.0.2)

idn_to_utf8 — Convert domain name from IDNA ASCII to Unicode.

### 설명

Procedural style

string idn_to_utf8 ( string `$domain` [, int `$options` ] )

This function converts Unicode domain name from IDNA ASCII-compatible format to plain Unicode.

### 인수

`domain`

  Domain to convert in IDNA ASCII-compatible format.

`options`

  Conversion options - combination of IDNA_* constants.

### 반환값

Domain name in Unicode. In PHP5, domain name will be in UTF-8.

### 예제

Example #1 idn_to_utf8() example

`<?php
echo idn_to_utf8('xn--tst-qla.de');
?>`

위 예제의 출력:

    täst.de

### 참고

- idn_to_unicode() - 별칭: idn_to_utf8

idn_to_unicode
intl 함수 목록
IDN 함수 목록
PHP Manual